"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_1 = (0, tslib_1.__importDefault)(require("fs"));
const path_1 = (0, tslib_1.__importDefault)(require("path"));
const graphql_tag_1 = (0, tslib_1.__importDefault)(require("graphql-tag"));
const validation_1 = require("graphql/validation");
const generateQueries_1 = require("./generateQueries");
const graphql_1 = require("graphql");
const typeDef = fs_1.default.readFileSync(path_1.default.join(__dirname, "../data/events.graphql"), "utf-8");
describe("generateQuery", () => {
    test("works", () => {
        const result = (0, generateQueries_1.generateQueries)({ typeDef });
        const r = (0, graphql_tag_1.default) `
      ${result["Complex"]}
    `;
        const errors = (0, validation_1.validate)((0, graphql_1.buildSchema)(typeDef), r);
        expect(errors.length).toBe(0);
    });
});
